<!-- <alexpounds:noList /> -->
<?php
/* 
 * breadcrumbs.php, part of The Grand Fandango 
 * http://www.alexpounds.com/code/grandfandango.php
 * 
 * Copyright 2005 Alex Pounds <alex@alexpounds.com>
 *
 * This file is part of The Grand Fandango.
 *
 * The Grand Fandango is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * The Grand Fandango is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * The Grand Fandango; if not, write to the Free Software Foundation, Inc., 59
 * Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


include_once($_SERVER["DOCUMENT_ROOT"] . "/gfFunctions.php");
include_once($_SERVER["DOCUMENT_ROOT"] . "/userinfo.php");

function makeBreadcrumbs($path) {
    $pathEntries = explode("/", trim($path));
    global $myExtension;
    if (preg_match("%^/$%", trim($path)) || preg_match("%^/index\." . $myExtension . "$%", trim($path))) {
        // It's the top dir. 
        echo "Home"; 
    } else {
        echo "<a href=\"/\">Home</a>";
        $currentPath = "/";
        for ($i = 0; $i < count($pathEntries); $i++) {
            if ($i < count($pathEntries)-1) {
                if (!empty($pathEntries[$i])) {
                    echo " &gt; ";
                    $currentPath .= $pathEntries[$i] . "/";
                    if (trim($path) == $currentPath . "index." . $myExtension) {
                        echo getDirName($pathEntries[$i]);
                    } else {
                        echo "<a href=\"" . $currentPath . "\">" . getDirName($pathEntries[$i]) . "</a>";
                    }
                }
            } else {
                if (!(is_dir($_SERVER["DOCUMENT_ROOT"] . $path) || preg_match("%/index\." . $myExtension . "$%", trim($path)))) {
                    echo " &gt; ";
                    echo getPageName($_SERVER["DOCUMENT_ROOT"] . $path);
                }
            }
        }
    }
}
            
makeBreadcrumbs($_SERVER["PHP_SELF"]);

?>
